local n = neutrino(0, 0, SCREEN.X_RES, SCREEN.Y_RES);
n:checkVersion(1, 31);

json = require "json"

if #arg < 1 then return nil end
local _url = arg[1]
local ret = {}
local Curl = nil 

function getdata(Url)
	if Url == nil then return nil end
	if Curl == nil then
		Curl = curl.new()
	end
	local ret, data = Curl:download{ url=Url, A="Mozilla/5.0"}
	if ret == CURL.OK then
		return data
	else
		return nil
	end
end 

function getVideoData(url)
	if url == nil then return 0 end
	local data = getdata('http://www.filmon.com/tv/api/init?channelProvider=ipad')
	if data == nil then return 0 end
    
	data = json:decode(data) 
	if data==nil then return 0 end	
	data = data['session_key']
	if data==nil then return 0 end	
	
	data = getdata('http://www.filmon.com/tv/api/channel/' .. url .. '?session_key=' .. data)
	if data == nil then return 0 end

	data = json:decode(data) 
	if data==nil then return 0 end

    local title=data['title']
    title=title .. ' - filmon'
	
	data = data['streams']
	if data==nil then return 0 end	
	
	local highurl=nil
	local lowurl=nil

    for i,stream in ipairs(data) do
 	   if stream['quality']=='high' then
	     highurl = stream['url'] 
	   elseif  stream['quality']=='low' then
	     lowurl = stream['url'] 
	   end
    end
	
    local count=0
    if highurl ~= nil then
     if  lowurl ~= nil then highurl=lowurl:gsub('low.stream','high.stream') end   
       count = 1
       ret[1]={ url = highurl, band = "1500000", name = title, res1 = "854", res2 = "480" }
    end
    if lowurl ~= nil then
       count = count+1
       ret[count]={ url = lowurl, band = "500000", name = title, res1 = "576", res2 = "322" }
    end
    return count
end

if (getVideoData(_url) > 0) then
	return json:encode(ret)
end

return ""